Name:       	telegram-cli
Version:	Master
Release:	2%{?dist}
Summary:	Private fast and open platform for instant messaging

Packager: 	Victor Oliveira (victor.oliveira@gmx.com)
Group:		Internet/Messaging
License:	GPL
URL:		https://github.com/vysheng/tg
#Source:		

BuildRequires:	lua-devel
BuildRequires:	git
BuildRequires:	make
BuildRequires:  automake
BuildRequires:  autoconf
BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  libgcrypt-devel
BuildRequires:  openssl-devel
BuildRequires:  libevent-devel
BuildRequires:  zlib-devel
BuildRequires:  readline-devel
BuildRequires:  libconfig-devel
BuildRequires:  lua-devel
BuildRequires:  jansson-devel
#Requires:	wget

%description
Telegram is an Open Source messaging platform for mobile, desktop focused on privacy.




%prep
[ -d %{name} ] && rm -Rfv %{name}
mkdir %{name}
cd %{name}
#wget -O master.zip https://github.com/vysheng/tg/archive/master.zip
git clone --recursive https://github.com/vysheng/tg.git
#unzip master.zip
#cd tg-master
cd tg
./configure --disable-openssl
make %{?_smp_mflags}


%install
#cd %{name}
#cd tg
%{__install} -D -m0755 telegram-cli/tg/bin/telegram-cli %{buildroot}/usr/bin/telegram-cli
#%{__install} -D -m0644 tg-server.pub %{buildroot}/etc/telegram/server.pub

%files
%{_bindir}/%{name}
#/usr/bin/telegram-cli
#/etc/telegram/server.pub

%changelog
* Tue Feb 4 2014 Pablo Iranzo Gómez (Pablo.Iranzo@gmail.com)
- Add server key to /etc/telegram/
* Sat Feb 1 2014 Pablo Iranzo Gómez (Pablo.Iranzo@gmail.com)
- Initial SPEC file
